# Betriebssysteme heute
## Einsatzgebiete
- Desktop / Laptop
    - Heim- und Büroanwendungen
- Eingebettete Systeme
    - Industrieautomation, Fahrzeuge, etc.
- Mobilgeräte
    - Smartphones, Tablets, etc.
- Server
    - Datacenter, Großrechner, Cloud- / Grid-Computing

## Vielfältige Peripherie
- WLAN, Bluetooth, 3G/5G/5G
- CD, DVD, HDD, SSD, Flash-Memory, USB-Storage
- LCD-/OLED-Displays, Touchscreens
- Keyboard, Mouse, Touchpad
- Drucker, Scanner
- GPS
- Gyroskop
- ...

## Schnittstellen
Zur Vereinfachung der Programmierung existieren spezielle vom Betriebssystem bereitgestellte Funktionen (Systemaufrufe) bspw. für:
- Prozesse
- Dateisystem
- Ein-/Ausgabe
- ...

Standardisierung ([POSIX](06_prozessstruktur.md#posix-api) ermöglicht Portierung von Anwendungen über Plattform-Grenzen hinweg
