# UML (Unified Modeling Language)
## Categories
### Structure Diagrams
- dynamisches Verhalten der Elemente (bspw. Veränderung über Zeit) wird nicht beachtet

- **[Class Diagram](UMLKlassenDiagramme.md)**
- Package Diagram
- **[Object Diagram](UMLKlassenDiagramme.md#objekt-diagramme)**
- Component Diagram
- Profile Diagram
- Composition Structure Diagram
- Deployment Diagram

### Behavior Diagram
- Kann Verhalten detailliert definieren
- Bestimmt, wie sich der Zustand eines Elements über Zeit verändert

- **[State Machine Diagram](UMLStateDiagramme.md)**
- **Use Case Diagram**
- Activity Diagram
- Interaction Diagram
    - **[Sequence Diagram](UMLSequenzDiagramme.md)**
    - Interaction Overview Diagram
    - Communication Diagram
    - Timing Diagram



