# ARM Hochsprache Typen
## Abstraktion
- Assembler
  - Programme auf Basis von 
    - Befehlen, Adressen, Register, Byte, Wort, ...
  - Abstraktion
    - wird durch Software erreicht
      - keine explizite Sprachunterstützung
- Hochsprachen
  - unterstützen besser das Denken in abstrakten Begriffen
    - CPU-unabhängig

## Datentypen
- Kennzeichnen sich durch
  - Anzahl benötigte Bits
  - Anordnung der Bits
  - Art der Verwendung der Bits
- Datentypen
  - Positive/Negative Ganzzahlen
    - binär, dezimal, hexadezimal, Wertbereiche
  - Gleitkommazahlen
  - [Zeichen](#zeichen)

## Zeichen
- Erste Mainframes
  - Uneinheitliche Codierung von Buchstaben
- ASCII:
  - 7Bit
- diverse ISO

## ANSI C Basisdatentypen
- Char
- Short Integer
- Integer
- Long Integer
- Float
- Double
- Long Double
- Aufzählungstypen
- Bitfelder

### Abgeleitete ANSI C Datentypen
- Arrays
- Funktionen
- Strukturen
- Zeiger/Pointer
- Varianten/Unions

## Gleitkommazahlen
### ISO IEEE754
![image_480.png](image_480.png)

- Beispiele
  - ![image_481.png](image_481.png)

