# Arbeitsblatt 1
## Übung 1
> Sei A ein Lösungsalgorithmus für das Entscheidungsproblem MaximumCliqueDec (auch k-Clique genannt).

### Beantworten sie die folgenden Fragen:
#### Welche Eingaben muss dieser Lösungsalgorithmus verarbeiten?
- Graph $G = (V, E)$ [Adjazenzliste]
- Größe $k ∈ \mathbb{N}$ 

#### Welche Ausgaben muss dieser Lösungsalgorithmus bestimmen?
- ja/nein [bool]

### Sei $G = (V, E)$ ein Graph mit zehn Knoten. Wie oft muss der Algorithmus A im schlimmsten Fall aufgerufen werden, um mit ihm die Frage zu beantworten, wie groß eine größte Clique im Graphen G ist? Begründen Sie Ihre Antwort kurz.
Im schlimmsten Fall 9 mal, falls $|C| = 1$. In diesem Fall würde man alle restlichen Fälle (bis auf k = 1, da dies als 
gegeben betrachtet werden kann) testen bis man nach dem Überprüfen, ob eine Clique der Größe 2 existiert (Schritt 9), 
zu dem Schluss kommt, dass die größte Clique eine Größe von 1 hat.

## Übung 2
>Gegeben sei der Graph G
>
>![image_680.png](image_680.png)

### Geben Sie alle größten Cliquen im gegebenen Graphen an.
$$\{(v_1,v_2,v_3), (v_1,v_2,v_4), (v_3,v_2,v_6), (v_3,v_6,v_5)\}$$

### In der Vorlesung haben Sie einen Algorithmus kennengelernt, der MaximumClique mit Hilfe eines Algorithmus für MaximumCliqueSize lösen kann. Wenden Sie den Algorithmus auf G an. Die Knoten werden in der Reihenfolge $v1, v2, ... , v7$ betrachtet. Beantworten Sie dabei für jeden Knoten $v_i (i ∈ \{ 1, 2, ... , 7 \})$ folgende Frage:
| Knoten | Wird für $v_i$ überprüft, ob er in die zu bestimmende Clique C aufgenommen werden soll? | Wird $v_i$ in die zu bestimmende Clique C aufgenommen |
|--------|-----------------------------------------------------------------------------------------|-------------------------------------------------------|
| $v_1$  | ja                                                                                      | nein                                                  |
| $v_2$  | ja                                                                                      | nein                                                  |
| $v_3$  | ja                                                                                      | ja                                                    |
| $v_4$  | nein                                                                                    | nein                                                  |
| $v_5$  | ja                                                                                      | ja                                                    |
| $v_6$  | ja                                                                                      | ja                                                    |
| $v_7$  | nein                                                                                    | nein                                                  |


### Geben Sie die vom Lösungsalgorithmus bestimmte größte Clique C an.
$C = (v_3,v_6,v_5)$