# Integrierte Informationsverarbeitung
## Lernziele
- [Kategorien von Anwendungssystemen](#haupttypen-betrieblicher-anwendungssysteme)
  - erkennen, wesentliche Eigenschaften nennen, unterscheiden
- [betriebliche Anwendungssystempyramide skizzieren](#haupttypen-betrieblicher-anwendungssysteme)
- Architektur eines DWH skizzieren
- horizontale und vertikale Integration
- ERP-, CRM-, SCM- Systeme
  - Eigenschaften, Vorteile, Herausforderungen

## Haupttypen betrieblicher Anwendungssysteme
![image_550.png](image_550.png)
### FUS bzw. FUS
> Unterstützungssysteme für die Führungsebene

### MIS
> Managementinformationssysteme

### DSS bzw. EUS
> Entscheidungsunterstützungssysteme

### OSS
> Operative Systeme


## MIS vs. EUS/DSS
### Verbindung der einzelnen Arten von Anwendungssystemen
![image_551.png](image_551.png)

### Integration
> Verknüpfung von Menschen, Aufgaben und Technik zu einem einheitlichen Ganzen
> 
> Um den Funktions- / Prozess- / Abteilungsgrenzen entgegenzuwirken

### Integrationsaspekte betrieblicher AWS
![image_552.png](image_552.png)
#### Integrationsgegenstand: Daten
- Gemeinsame Nutzung derselben Daten durch mehrere Funktionen
- **Ziel**
  - Redundanzarme Speicherung von Daten
    - Dateninkonsistenzen vermeiden
- **Mittelpunkt**
  - Logische Integrität von Datenbanksystemen
- Einfachste Form der Kupplung von Anwendungssystemen

#### Integrationsgegenstand: (Unternehmens-)Funktion
- **Voraussetzung**
  - Auf Datenebene durchgeführte Integration
- Unterscheidung zwischen Ausrichtung
  - nach Aufgabenträger
  - nach Datenfluss
- Nimmt Einfluss auf organisatorische Gestaltung des Unternehmens

#### Integrationsgegenstand: Objekt
- Vereinigt Aspekte der vorherigen Integrationen
- Kommunikation zwischen Objekten über Nachrichten
- Formen
  - Intra-Objektorganisation
  - Inter-Objektorganisation