# Übung 5
## Aufgabe 1: Berechnung DLZ
![image_398.png](image_398.png)

### a) Nennen Sie alle potentiellen Prozesspfade
- Task 1 → Task 3 → Task 5
- Task 1 → Task 3 → Task 4 → Task 2
- Task 1 → Task 2 

### b) Berechnen Sie die durchschnittliche DLZ
$DLZ = 5min + 0,2*[70min + 0,3*(15min)+0,7*(30min+10min)]$
      $+0,8*(10min) = 33,5min$

## Aufgabe 2: Prozesszeit/-kostenrechnung
**Berechnen Sie die durchschnittliche Durchlaufzeit eines Supportfalls gemäss den Angaben
im dargestellten Prozess**

![image_399.png](image_399.png)

$DLZ = (10+0+15)+0,3(20+0+480)+(10+0+10)+(120+40+360)+0,2[(10+0+35)$
    $+(20+720+90)]+(135+0+120)+(10+0+15)= 1170[min]$

## Aufgabe 3: Prozesszeit/-kostenrechnung
**Berechnen Sie minimale, durchschnittliche und maximale Durchlaufzeit und Kosten des
Prozesses. Nutzen Sie das folgende Schema zur Dokumentation Ihrer Lösung.**
![image_400.png](image_400.png)

|              | Min Zeit | Avg Zeit           | Max Zeit | Min Kosten | Avg Kosten            | Max Kosten |
|--------------|----------|--------------------|----------|------------|-----------------------|------------|
| Task 1       | 20       | 20                 | 20       | 800        | 800                   | 800        |
| Subprozess 1 | 5        | $0,4*5+0,6*10=8$   | 10       | 100        | $0,4*100+0,6*200=160$ | 200        |
| Subprozess 2 | 5        | $0,4*11+0,8*5=8,4$ | 16       | 300        | $0,4*400+0,8*300=400$ | 700        |
| Task 2       | 50       | 50                 | 50       | 500        | 500                   | 500        |
| Summe        | 80       | 86,4               | 96       | 1700       | 1860                  | 2300       |


## Aufgabe 4: Little's Law
**Frage: Wie hoch ist die durchschnittliche Auslastung der Geburtshilfsabteilung?**
- In einem großen Schweizer Krankenhaus gibt es 10 Geburten pro Tag
  - 80% der Entbindungen sind einfach und erfordern einen Aufenthalt von 2 Tagen für Mutter und Kind
  - 20% der Fälle sind komplizierter und erfordern einen Aufenthalt von 5 Tagen

$$
N = (5*10*0,2)+(5*2*0,8)=26
$$
