# Prozessmodellierung
## Grundlagen der Prozessmodellierung
### Definition
- Zweckorientierte, nach Systematik erstellte Abbildung von GPs
- Konstruktion und Pflege von GP-Modellen mit geeigneten Beschreibungssprachen

### Warum wird Modelliert
- Dokumentation und Erklärung komplexer oder komplizierter Sachverhalte
  - Modell als abstrakte Rekonstruktion der Wirklichkeit
  - Reduktion auf das Wesentliche
    - ergibt sich aus dem Zweck des Modells
- Zur Gestaltung von Informationssystemen
  - Aufzeigen von Möglichkeiten zur (Um-)Gestaltung der Unternehmensrealität
  - Modelle sind konstruktiv

### Nutzen der Prozessmodellierung
- Tiefes Verständnis der Prozesse
- Vergleichen von GP
- leicht zu verstehen
- vereinfach Kommunikation über GP
- Grafische Modelle sind Präzise
  - reduzieren Gefahr unterschiedlicher Interpretationen
- Ermöglicht Schwachstellen zu lokalisieren
- Ausgangspunkt 
  - Prozessoptimierung
  - Zertifizierungen
  - Umsetzung von IT-Unterstützung

## Sichten der Prozessmodellierung
![image_204.png](image_204.png)

### Modellierung aus Sicht des Business
![image_205.png](image_205.png)

## [Modellierung mit BPMN](4_21_BPMN.md)